import sys
from turbogears import expose, widgets, controllers, mochikit, validate, \
                       flash, redirect

class Symbol:
   name = None
   mod = None

   def __init__(self, name, mod):
       self.name = name
       self.mod = mod

   def __cmp__(self, other):
       n1 = self.name.lower()
       n2 = other.name.lower()
       c = cmp(n1, n2)
       if c:
           return c
       n1 = self.mod.lower()
       n2 = other.mod.lower()
       c = cmp(n1, n2)
       return c

guidocc = """Purchase receipt for Guido van Rossum

(1) Python conference - extra large

Credit card number: 5551 2125 5512 1255"""

all_symbols = []
for mod in sys.modules.values():
   if mod and hasattr(mod, "__dict__"):
       mname = mod.__name__
       for key in mod.__dict__.keys():
           all_symbols.append(Symbol(key, mname))

all_symbols.sort()

class AutoCompleteExample(controllers.Controller):
    @expose(template="effectiveajaxturbogears.templates.symbols")
    def index(self):
        searchbox = widgets.AutoCompleteField(
            name="symbol",
            search_controller="symsearch", 
            search_param="search_for",
            result_name="symbols")
        return dict(searchbox=searchbox, mochi=mochikit,
                    all_symbols=all_symbols,
                    prev="text-entry", next="beenthere-donethat")
            
    @expose(format="json")
    def symsearch(self, search_for):
        if len(search_for) < 3:
            return dict(symbols=[])
        search_for = search_for.lower()
        matches = ["%s.%s" % (item.mod, item.name) 
                    for item in all_symbols 
                    if search_for in item.name.lower()]
        return dict(symbols=matches)
    
    @expose(format="json")
    def getsym(self, symbol):
        ldot = symbol.rfind(".")
        mod = symbol[:ldot]
        var = symbol[ldot+1:]
        value = getattr(sys.modules[mod], var, None)
        return dict(value=str(value))
    
    