<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#" >

<head>
    <meta content="text/html; charset=UTF-8" http-equiv="content-type" py:replace="''"/>
    <title>TurboTunes</title>
    <link rel="stylesheet" type="text/css" href="/tg_static/css/widget.css" />
    <script src="/tg_static/js/widget.js"></script>
    <script src="/tg_js/MochiKit.js"></script>
    <style>
      body,td { font-family:verdana,sans-serif; }
      #top
      {
        background-image:url('static/images/topbg.png');
        background-repeat:repeat-x;
        height:70px;
        font-size:10px;
        color:#666;
        font-weight:900;
      }
      select {width:255px;padding:0;margin:0}
      .list_head {
            height:17px;
            font-size:10px;
            color:#666;
            font-weight:900;
            text-align:center;
            border-right:1px solid #666;
            background-image:url('static/images/bg.png');
            background-repeat:repeat-x;
          }
      .grid td {height:13px;font-size:10px;}
      #app {border:1px solid #666 }
    </style>
    <script>
      <![CDATA[
      function init()
      {
        loadTable({rows:[]});
        retrieveGenres();
      }
      
      function loadTable(content)
      {
        var MIN_ROWS = 10;
        content['headers'] =['Name','Artist','Album']; 
        var n = content.rows.length;
        if( n < MIN_ROWS)
        {
          for(var i=0;i< (MIN_ROWS-n);i++) 
          {
            content.rows[content.rows.length]=[' ',' ',' ']; 
          }
        }
        replaceChildNodes('song_placeholder',Widget.grid.render('songs',content));
      }
      
      
      function loadList(result)
      {
        Widget.select.load(result['selectID'],result);
      }
      
      function retrieveGenres()
      {
        var e = loadJSONDoc('genres');
        e.addCallback(loadList);
      }
      
      function retrieveArtistForGenre(list)
      {
        var id= list.options[list.selectedIndex].value; 
        var e = loadJSONDoc('artists?genre='+ id);
        e.addCallback(loadList);

        Widget.select.load('albums',{options:[]}); //clear the albums
        Widget.select.load('artists',{options:[]}); //clear the albums
        loadTable({rows:[]}); //clear the songs
      }
      
      function retrieveAlbumsForArtist(list)
      {
        var id= list.options[list.selectedIndex].value; 
        var e = loadJSONDoc('albums?artist='+ id);
        e.addCallback(loadList);

        loadTable({rows:[]}); //clear the songs
      }
      
      function retrieveSongsForAlbum(list)
      {
        var id= list.options[list.selectedIndex].value; 
        var e = loadJSONDoc('songs?album='+ id);
        e.addCallback(loadTable);
      }
      ]]>
    </script>
</head>
<body onload="init()">
<table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr>
    <td align="center">

      <table id="app" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td colspan="3" id="top" align="center">
              TurboTunes
              <br />
              <img src="static/images/tg.png" />
          </td>
        </tr>
        <tr>
          <td class="list_head">Genre</td>
          <td class="list_head">Artist</td>
          <td class="list_head">Albums</td>
        </tr>
        <tr>
          <td valign="top"><select name="genres" id="genres" 
                            onchange="retrieveArtistForGenre(this)"
                            size="15"></select></td>
          <td valign="top"><select name="artists" id="artists" 
                            onchange="retrieveAlbumsForArtist(this)"
                            size="15"></select></td>
          <td valign="top"><select name="albums" id="albums" 
                            onchange="retrieveSongsForAlbum(this)"
                            size="15"></select></td>
       </tr>
       <tr>
          <td colspan="3">
            <div id="song_placeholder"></div>
          </td>
        </tr>
      </table>

    </td>
  </tr>
</table>
</body>
</html>
