# This is where all of your settings go for your production environment.
# You'll copy this file over to your production server and provide it
# as a command-line option to your start script.
# Settings that are the same for both development and production
# (such as template engine, encodings, etc.) all go in 
# yourpackage/config.py

def configure():
    return {
    "global": {
        # DATABASE

        # pick the form for your database
        # "sqlobject.dburi" : "postgres://username@hostname/databasename",
        # "sqlobject.dburi" :
        #        "mysql://username:password@hostname:port/databasename",
        # "sqlobject.dburi" : "sqlite:///file_name_and_path",

        # if you are using a database or table type without transactions
        # (MySQL default, for example), you should turn off transactions
        # by prepending notrans_ on the uri
        # "sqlobject.dburi" :
        #   "notrans_mysql://username:password@hostname:port/databasename",

        # for Windows users, sqlite URIs look like:
        # "sqlobject.dburi" : "sqlite:///drive_letter|/path/to/file",

        # SERVER
        "server.environment" : "production",
        "server.logFile" : "server.log",
        "server.logToScreen" : False,

        # Sets the number of threads the server uses
        server.threadPool : 10,

        # if this is part of a larger site, you can set the path
        # to the TurboGears instance here
        # "server.webpath" : "",

        },
    }
